/*******************************************************************************
*
*	TITLE:		user_menu.h
*
*******************************************************************************/
#ifndef _USER_MENU_H
#define _USER_MENU_H

// character that will bring up the user menu
#define UM_SETUP_KEY 't'

// tracking menu states
#define UM_INITIALIZE 0
#define UM_MENU_PRINT 1
#define UM_MENU_HANDLER 2
#define UM_USER_PROMPT 3
#define UM_GETTING_USER_INPUT 4
#define UM_USER_INPUT_ERROR 5
#define UM_SUB_MENU_HANDLER 6



// function prototypes
unsigned char User_Menu(void);
void User_Menu_Print(void);
void Sub_Menu_Print(void);

#endif _USER_MENU_H
